#pragma rtGlobals=1		// Use modern global access method.
// ****************************************************
// * Add Marker
// * Adds single marker to current graph each time the buttom is clicked
// * Button is added under graph menu
// * To move cursor, hold down option click marker and drag to new point on wave
// * To get exact x,y, you must make table with frequency and y wave, then
// * find the frequency of interest, look at the index number on the far left,
// * go back to graph, double click on marker and input the index value as
// * the x location of the marker
// *
// ****************************************************

Menu "Graph"
	"Add Marker", /Q, AddMarker() // Adds button under Graph menu
End
Function AddMarker()
String traces=TraceNameList("",";",1) // gets names of traces in current graph
String trace="" // intialize string
variable i=0
// pull off name of first wave in graph
do
trace[i]=traces[i]
i+=1
while(cmpstr(traces[i],";"))
// add marker
Tag/B=1/F=0/L=1/TL=0 $trace, 0,"\\OX, \\OY\r"
end

