#pragma rtGlobals=1		// Use modern global access method.
newpath report,  "Macintosh HD:Users:apple:Desktop:REPORT";
newpath measurement,  "Macintosh HD:Users:apple:Desktop:measurement";
  
function loadimp(path,file,xn,yn)
	string path,file,xn,yn;
	loadwave/a/n/b="n="+xn+"; n="+yn+";" /d/g/k=1 /p=$path file
end

macro loadtxt()	
	string message = "Select Directory"
	newpath/o/m=message pathname
	
	pathinfo pathname
	string fullpath = S_path
	fullpath = removeending(fullpath,":")
	string dfname = parsefilepath(3,fullpath,":",1,0)
	dfname = cleanupname(dfname,0)
	
	string savedf = getdatafolder(1)
	newdatafolder/o/s $dfname
	
	variable fileindex = 0, len
	string filename=indexedfile(pathname,fileindex,".txt")
	string name
	do
		name = cleanupname(filename,0)
		len = strlen(name)-5
		loadwave/a/n/b="n=t_"+name[0,len]+"; n=z_"+name[0,len]+";"/d/g/k=1/p=pathname filename
		fileindex+=1
		filename=indexedfile(pathname,fileindex,".txt")
	while(strlen(filename)!=0)
	
	setdatafolder savedf
end

newpath report,  "Macintosh HD:Users:apple:Desktop:REPORT:613-9099_120610:K16_K99 122010:K16_K99 impedance 122110:Amphenol:K16";
newpath measurement,  "Macintosh HD:Users:apple:Desktop:measurement:JiHaw B108 raw cable 120110:JiHaw B108 raw cable impedance 120110";
newpath control "Macintosh HD:Users:apple:Desktop:REPORT:ipex_111110:controlled180deg_use 0 deg after 72hr heat soak"
function loadz()
	newpath report,  "Macintosh HD:Users:apple:Desktop:REPORT:613-9099_120610:K16_K99 122010:K16_K99 impedance 122110:Acon:K99";
	newpath measurement,  "Macintosh HD:Users:apple:Desktop:measurement:Foxlink c7 raw cable 112910:C7 raw cable impedance";	
	string p = "measurement";
	string f0 = ":0 deg:";
	string f90 = ":90 deg:";
	string f180 = ":180 deg:";
	
	string no = "5 "
	string s1 = "blue";
	string s2 = "green";
	string s3 = "brown";
	string s4 = "red";

	loadimp(p,no+s1+".txt","t_"+s1,"z_"+s1);
	loadimp(p,no+s2+".txt","t_"+s2,"z_"+s2);
	loadimp(p,no+s3+".txt","t_"+s3,"z_"+s3);
	loadimp(p,no+s4+".txt","t_"+s4,"z_"+s4);
		
//	setdatafolder root:heat_soak_72hr  
//	newdatafolder/o/s d0
//	loadimp(p,f0+s1+".txt","t_"+s1,"z_"+s1);
//	loadimp(p,f0+s2+".txt","t_"+s2,"z_"+s2);
//	loadimp(p,f0+s3+".txt","t_"+s3,"z_"+s3);
//	loadimp(p,f0+s4+".txt","t_"+s4,"z_"+s4);
	
//	setdatafolder root:heat_soak_72hr  
//	newdatafolder/o/s d90
//	SetDataFolder savedDF
//	setdatafolder :d90
//	loadimp(p,f90+s1+".txt","t_"+s1,"z_"+s1);
//	loadimp(p,f90+s2+".txt","t_"+s2,"z_"+s2);
//	loadimp(p,f90+s3+".txt","t_"+s3,"z_"+s3);
//	loadimp(p,f90+s4+".txt","t_"+s4,"z_"+s4);

//	setdatafolder root:heat_soak_72hr  	
//	newdatafolder/o/s d180
//	loadimp(p,f180+s1+".txt","t_"+s1,"z_"+s1);
//	loadimp(p,f180+s2+".txt","t_"+s2,"z_"+s2);
//	loadimp(p,f180+s3+".txt","t_"+s3,"z_"+s3);
//	loadimp(p,f180+s4+".txt","t_"+s4,"z_"+s4);
end